Skip to content

Update Employee Attachments

Operation
wsdlUpdateEmployeeAttachments
SOAP Action
uri:FlexForce/UpdateEmployeeAttachments
Service
FlexForce
Port
FlexForcePort
Style
rpc

Upload one or more files as attachments on one or more employees.


Request

Message: wsdlUpdateEmployeeAttachmentsRequest

apiKeystringrequired

API key of the unit.

employeesArray<EmployeeAttachment>required

Array of EmployeeAttachment records — one per employee receiving attachments.

itemEmployeeAttachment

Attachments to upload onto a single employee.

employeeIdintrequired

Quinyx internal id of the employee.

Example56781
attachmentsArray<FileAttachment>required

Array of FileAttachment records to upload.

validationErrorsArray<xsd:string>

Array of validation errors. Empty on success.

curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
  -H 'Content-Type: text/xml; charset=utf-8' \
  -H 'SOAPAction: "uri:FlexForce/UpdateEmployeeAttachments"' \
  --data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlUpdateEmployeeAttachments>
    <apiKey xsi:type="xsd:string">string</apiKey>
    <employees xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:EmployeeAttachment[1]">
      <item xsi:type="tns:EmployeeAttachment">
        <employeeId xsi:type="xsd:int">56781</employeeId>
        <attachments xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:FileAttachment[1]">
          <item xsi:type="tns:FileAttachment">
            <fileName xsi:type="xsd:string">1.txt</fileName>
            <fileContent xsi:type="xsd:string">string</fileContent>
            <fileId xsi:type="xsd:int">0</fileId>
            <validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
              <item xsi:type="xsd:string">string</item>
            </validationErrors>
          </item>
        </attachments>
        <validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
          <item xsi:type="xsd:string">string</item>
        </validationErrors>
      </item>
    </employees>
    </tns:wsdlUpdateEmployeeAttachments>
  </soap:Body>
</soap:Envelope>
EOF

Response

Message: wsdlUpdateEmployeeAttachmentsResponse

returnArray<EmployeeAttachment>

Array of EmployeeAttachment records reflecting the saved state.

itemEmployeeAttachment

Attachments to upload onto a single employee.

employeeIdintrequired

Quinyx internal id of the employee.

Example56781
attachmentsArray<FileAttachment>required

Array of FileAttachment records to upload.

validationErrorsArray<xsd:string>

Array of validation errors. Empty on success.

<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlUpdateEmployeeAttachmentsResponse>
    <return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:EmployeeAttachment[1]">
      <item xsi:type="tns:EmployeeAttachment">
        <employeeId xsi:type="xsd:int">56781</employeeId>
        <attachments xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:FileAttachment[1]">
          <item xsi:type="tns:FileAttachment">
            <fileName xsi:type="xsd:string">1.txt</fileName>
            <fileContent xsi:type="xsd:string">string</fileContent>
            <fileId xsi:type="xsd:int">0</fileId>
            <validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
              <item xsi:type="xsd:string">string</item>
            </validationErrors>
          </item>
        </attachments>
        <validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
          <item xsi:type="xsd:string">string</item>
        </validationErrors>
      </item>
    </return>
    </tns:wsdlUpdateEmployeeAttachmentsResponse>
  </soap:Body>
</soap:Envelope>

Change log

Date Description
2019-06-28 Method created.